> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/api/paymentmethodmappings.md).

# PaymentMethodMappings

PaymentMethodMappings

## List all mappings for a tenant payment method

> List all mappings for a tenant payment method\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodMappings","description":"PaymentMethodMappings"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodMappingListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items","paging"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"}},"parameters":{"systemCodeQuery":{"description":"Reference to a system code","explode":false,"in":"query","name":"systemCode","schema":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"style":"form"},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/mappings":{"get":{"summary":"List all mappings for a tenant payment method","tags":["PaymentMethodMappings"],"responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodMappingListResponse"}},"operationId":"get-tenant-payment-method-mappings","description":"List all mappings for a tenant payment method\n\nRequired permissions: PAYMENT_METHOD","parameters":[{"$ref":"#/components/parameters/systemCodeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}]}}}}
```

## Add a mapping to a  tenant payment method

> Add a mapping to a  tenant payment method\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodMappings","description":"PaymentMethodMappings"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodMappingResponse":{"description":"Example response","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"$ref":"#/components/schemas/UID"}}}]}}}}},"schemas":{"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"GeneralMappingCreateRequestSchema":{"title":"GeneralMappingCreateRequestSchema","type":"object","required":["externalId","systemCode"],"properties":{"externalId":{"type":"string"},"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"}}}},"requestBodies":{"TenantPaymentMethodMappingCreateRequest":{"content":{"application/json":{"schema":{"allOf":[{"type":"object","properties":{"tenantPaymentMethodMappingUid":{"$ref":"#/components/schemas/UID"}}},{"$ref":"#/components/schemas/GeneralMappingCreateRequestSchema"}]}}}}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/mappings":{"post":{"summary":"Add a mapping to a  tenant payment method","tags":["PaymentMethodMappings"],"responses":{"201":{"$ref":"#/components/responses/TenantPaymentMethodMappingResponse"}},"operationId":"post-tenant-payment-method-mapping","description":"Add a mapping to a  tenant payment method\n\nRequired permissions: PAYMENT_METHOD","requestBody":{"$ref":"#/components/requestBodies/TenantPaymentMethodMappingCreateRequest"}}}}}
```

## Update a mapping to a  tenant payment method

> Update a mapping to a  tenant payment method\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodMappings","description":"PaymentMethodMappings"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodMappingResponse":{"description":"Example response","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"$ref":"#/components/schemas/UID"}}}]}}}}},"schemas":{"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"GeneralMappingUpdateRequestSchema":{"title":"GeneralMappingUpdateRequestSchema","type":"object","required":["externalId"],"properties":{"externalId":{"type":"string"}}}},"requestBodies":{"TenantPaymentMethodMappingUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneralMappingUpdateRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/mappings/{tenantPaymentMethodMappingUid}":{"put":{"summary":"Update a mapping to a  tenant payment method","tags":["PaymentMethodMappings"],"responses":{"201":{"$ref":"#/components/responses/TenantPaymentMethodMappingResponse"}},"operationId":"put-tenant-payment-method-mapping","description":"Update a mapping to a  tenant payment method\n\nRequired permissions: PAYMENT_METHOD","requestBody":{"$ref":"#/components/requestBodies/TenantPaymentMethodMappingUpdateRequest"}}}}}
```

## Delete a tenantPaymentMethod mapping

> Delete a tenantPaymentMethod mapping\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethodMappings","description":"PaymentMethodMappings"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/mappings/{tenantPaymentMethodMappingUid}":{"delete":{"summary":"Delete a tenantPaymentMethod mapping","tags":["PaymentMethodMappings"],"responses":{"204":{"description":"No Content"}},"operationId":"delete-tenant-payment-method-mapping","description":"Delete a tenantPaymentMethod mapping\n\nRequired permissions: PAYMENT_METHOD"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/api/paymentmethodmappings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
